//variables
$width: 100%;
$height: 100%;
$border-color: 1px solid rgba(238, 210, 210, 0.7);
$color: #faebff;

//mixins
@mixin flex-position($justify-content,$align-items) {
  display: flex;
  justify-content: $justify-content;
  align-items: $align-items;
}

//resets
a {
  text-decoration: none;
}

ul, ol, li {
  list-style: none;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Book Antiqua", sans-serif;
  color: $color;
}

//////////

.container {
  background: url("../img/sky-2.jpg");
  background-size: cover;
  width: $width;
  height: 721px;
  position: relative;

  .weather {
    @include flex-position(center,center);
    flex-direction: column;
    min-width: 30%;
    padding-top: 15px;
    background: rgba(16, 14, 12, 0.4);
    box-shadow:0 0 10px 0 rgb(194 145 81 / 80%);
    backdrop-filter: blur(5px);
    border-radius: 10px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    .title {
      @include flex-position(center, center);
      height: 60px;
    }

    .input {
      @include flex-position(center, center);
      width: $width;
      height: 33px;

      .input-city {
        width: 70%;
        border-bottom: $border-color;
        border-right: $border-color;
        box-shadow: -1px -2px 7px 0px rgb(43 36 27 / 80%);
        border-radius: 20px;
        outline: none;
        background: #100E0C99;
        padding: 5px 15px;
        font-size: 18px;
        transition: all .3s ease;
        margin: 0 10px;
        &::placeholder {
          color: #bebebe;
        }
        &:focus {
          box-shadow: -2px -4px 6px 0 rgba(238, 210, 210, 0.7);
        }
      }
    }
    #result-autocomplete {
      display: none;
      //@include flex-position(flex-start,center);
      background: rgba(16, 14, 12, 0.6);
      border-radius: 5px;
      padding: 5px;
      width: 70%;
      max-height: 350px;
      font-size: 16px;
      border-bottom: $border-color;
      border-right: $border-color;
      box-shadow: 1px 3px 10px 0 #543a47;
        .autocomplete-list-item {
          cursor: pointer;
          flex-wrap: wrap;
          padding: 5px 2px;
          //border-bottom: $border-color;
          width: $width;
          font-size: 18px;
          &:hover {
            background: rgba(224, 219, 216, 0.2);
          }
          &:active {
          background: rgba(224, 219, 216, 0.5);
        }

          &:last-child {
            border: none;
          }
        }
      }
    }

    #result {
      @include flex-position(center, center);
      flex-direction: column;
      width: $width;
      padding-top: 15px;

      h2 {
        font-size: 35px;
        margin: 7px 0;
      }
      .description {
        font-size: 20px;
        margin: 5px 0;
      }
      .pressure-humidity {
        @include flex-position(space-evenly,center);
        width: 100%;
        height: 40px;
        border-bottom: $border-color;
        h4 {
          font-size: 16px;
      }
        div {
          background: rgba(238, 210, 210, 0.7);
          padding: 10px 1px;
        }
      }
      h1 {
        font-size: 55px;
      }
    }
    #result-2 {
      @include flex-position(space-between, center);
      flex-direction: column;
      width: $width;
      min-height: 20%;

      .container-hour {
        @include flex-position(center, center);
        height: 50%;
        width: $width;
        padding: 10px 0;
        border-bottom: $border-color;
        .hour {
          @include flex-position(center, center);
          flex-direction: column;
          padding:10px;
          border-right: $border-color;
          &:last-child {
            border-right: none;
          }
          h4, img {
            text-align: center;
          }
        }
      }
      .container-day {
        @include flex-position(center,center);
        flex-direction: column;
        width: $width;
        //height: 50%;
        //padding-bottom: 15px;
        //margin-bottom: 20px;
        .day {
          @include flex-position(space-evenly,center);
          width: 100%;
          div {
            @include flex-position(space-between,center);
            width: 130px;
          }
        }
      }
    }
  }
